> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minimo.it/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Marketing Hold

> Whether the marketing of one restaurant is paused, and why

Guide: [Protections and sending limits](https://docs.minimo.it/embedded/protections.md). Errors: [Errors and limits](https://docs.minimo.it/embedded/errors.md).


## OpenAPI

````yaml get /public/v1/tenants/{tenant}/marketing-hold
openapi: 3.1.0
info:
  title: API Documentation
  description: Documentation for transactional and subscribe APIs
  version: 1.0.0
servers:
  - url: https://app.minimo.it
security:
  - bearerAuth: []
paths:
  /public/v1/tenants/{tenant}/marketing-hold:
    servers:
      - url: https://api.minimo.it
    get:
      summary: Get marketing hold
      description: >-
        Whether the restaurant's marketing is paused after complaints or
        bounces, since when and why. Only Minimo lifts a pause.
      operationId: getTenantMarketingHold
      parameters:
        - name: tenant
          in: path
          required: true
          description: >-
            Your reference for the customer (for example the restaurant id). 1
            to 64 letters, digits, `.` `_` `:` `-`.
          schema:
            type: string
            example: restaurant_4812
      responses:
        '200':
          description: The pause state
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TenantMarketingHold'
              example:
                data:
                  tenant: restaurant_4812
                  held: false
                  since: null
                  reason: null
                  setBy: null
        '401':
          description: >-
            `INVALID_TOKEN`: missing or wrong key, or a key without the
            **Widgets** or **Events** permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearerAuth: []
      x-codeSamples:
        - label: cURL
          lang: bash
          source: |-
            curl --request GET \
              --url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/marketing-hold' \
              --header 'Authorization: Bearer YOUR_MINIMO_KEY'
        - lang: JavaScript
          source: >-
            const res = await
            fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/marketing-hold',
            {
              method: 'GET',
              headers: {
                Authorization: 'Bearer YOUR_MINIMO_KEY',
              },
            });

            const { data } = await res.json();

            console.log(data);
        - lang: Python
          source: |-
            import requests

            res = requests.get(
                'https://api.minimo.it/public/v1/tenants/restaurant_4812/marketing-hold',
                headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
            )
            print(res.status_code, res.text)
components:
  schemas:
    TenantMarketingHold:
      type: object
      properties:
        tenant:
          type: string
          example: restaurant_4812
        held:
          type: boolean
        since:
          type: string
          format: date-time
          nullable: true
        reason:
          type: string
          nullable: true
        setBy:
          type: string
          nullable: true
      required:
        - tenant
        - held
        - since
        - reason
        - setBy
    ApiError:
      type: object
      properties:
        status:
          type: string
          example: FAIL
        message:
          type: string
          description: The error code to test in your code.
          example: INVALID_PARAMETERS
        userMessage:
          type: string
          description: >-
            When present, a sentence that says what to fix. You can show or log
            it.
          example: Set the origins allowed to embed the widgets first.
      description: >-
        Every error has this shape. See [Errors and limits](/embedded/errors)
        for every code.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: mn-API_CLIENT_ID-API_KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.